bftsmart.tom.server

## Interface FIFOExecutable

All Superinterfaces:
  Executable, SingleExecutable

    public interface FIFOExecutable
    extends SingleExecutable

Executables that implement this interface will get requests delivered in FIFO order.

### Method Summary

All Methods Instance Methods Abstract Methods
`byte[]` `executeOrderedFIFO(byte[] command, MessageContext msgCtx, int clientId, int operationId)`
`byte[]` `executeUnorderedFIFO(byte[] command, MessageContext msgCtx, int clientId, int operationId)`

### Methods inherited from interface bftsmart.tom.server.SingleExecutable

`executeOrdered`

### Methods inherited from interface bftsmart.tom.server.Executable

`executeUnordered`

### Method Detail

#### executeOrderedFIFO

    byte[] executeOrderedFIFO(byte[] command,
                              MessageContext msgCtx,
                              int clientId,
                              int operationId)

#### executeUnorderedFIFO

    byte[] executeUnorderedFIFO(byte[] command,
                                MessageContext msgCtx,
                                int clientId,
                                int operationId)